Page MenuHomePhabricator

[Power PC] softening long double type
ClosedPublic

Authored by spetrovic on Dec 29 2015, 10:52 AM.

Details

Summary

This patch implements softening of long double type (ppcf128) on ppc32 architecture and enables operations for this type for soft float.

Diff Detail

Repository
rL LLVM

Event Timeline

spetrovic updated this revision to Diff 43747.Dec 29 2015, 10:52 AM
spetrovic retitled this revision from to [Power PC] softening long double type.
spetrovic updated this object.
spetrovic added reviewers: hfinkel, petarj.
spetrovic set the repository for this revision to rL LLVM.
spetrovic added a subscriber: llvm-commits.
spetrovic updated this revision to Diff 46250.Jan 28 2016, 9:58 AM

Hal, are you ok with this change ?

hfinkel accepted this revision.Feb 2 2016, 4:43 PM
hfinkel edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Feb 2 2016, 4:43 PM
This revision was automatically updated to reflect the committed changes.